@charset "UTF-8";

.blog_content_flex {
  max-width: 1040px;
  margin: 0px auto 40px auto;
  padding: 190px 8px 100px 8px;
  display: flex;
  align-items:flex-start;
  justify-content: space-between;
}

.blog_post {
  flex: 1;
  text-align: left;
  width: 100%;
}

.post_inner {
  padding: 0 8px;
  width: 100%;
}

.blog_post_ttl {
  text-align: left;
  color: var(--bk);
  position: relative;
  padding-bottom: 20px;
  line-height: 2;
}

.blog_post_ttl::after{
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--bk);
}

.time {
  margin: 16px 0 24px 0;
  text-align: left;
  color: rgb(162, 162, 162);
  font-size: 1.4rem;
}

.time span {
  background-color: var(--accentcolor);
  color: var(--white);
  margin-left: 16px;
  padding: 4px 6px;
  border-radius: 6px;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
}

.blog_ogp_img {
  width: 100%;
  line-height: 1;
}

.blog_ogp_img img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

.blog_post_p {
  margin-top: 32px;
  color: var(--bk);
}

.blog_post_index {
  margin: 32px 0 0 0;
  padding: 32px 40px;
  border: solid 2px var(--bk) ;
}

.index {
  color: var(--bk);
  font-weight: 800;
}

.index_list_box {
  margin-top: 24px;
}

.index_list li a {
  color: var(--bk);
}

.index_list li ul li a {
  font-size: 1.4rem;
  font-weight: 400;
}

.index_list li ul li {
  margin-top: 6px;
}

.blog_main_content_ttl {
  text-align: left;
  color: var(--bk);
  position: relative;
  padding-bottom: 20px;
  line-height: 2;
  margin-top: 40px;
}

.blog_main_content_ttl::after{
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--bk);
}

.blog_main_content_small_ttl {
  color: var(--bk);
  margin-top: 40px;
  position: relative;
  padding-left: 18px;
}

.blog_main_content_small_ttl::before {
  position: absolute;
  top: 0;
  left: 0;
  content: '';
  width: 6px;
  height: 100%;
  background-color: var(--bk);
}

.blog_main_img {
  width: 100%;
  margin-top: 16px;
}

.blog_main_img img {
  width: 100%;
}

.blog_main_content ul {
  width: 100%;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  flex-wrap: wrap;
}

.blog_main_content ul li {
  width: 47.5%;
  list-style: none;
  margin-bottom: 40px;
}

.blog_article {
  width: 100%;
  margin-top: 20px;
}

.ogp {
  max-width: 100%;
  line-height: 1;
}

.ogp img {
  width: 100%;
  height: 180px;
  object-fit: cover;
}

.blog_data_flex {
  display: flex;
  align-items: center;
}

.date {
  font-size: 1.2rem;
  font-weight: 700;
  margin-right: 40px;
  color: var(--bk);
}

.category {
  background-color: var(--accentcolor);
  padding: 0px 6px;
  border-radius: 6px;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
  color: var(--white);
}

.blog_info {
  margin-top: 8px;
}

.blog_info h3 {
  text-align: left;
  font-weight: 900;
  font-size: 1.8rem;
  color: var(--bk);
}

.blog_info p {
  text-align: left;
  font-weight: 400;
  font-size: 1.4rem;
  text-overflow: ellipsis;
  -webkit-text-overflow: ellipsis; 
	-o-text-overflow: ellipsis; 
}

.blog_paragraph {
  color: var(--bk);
}

.blog_side_bar_article_ttl {
  margin-bottom: 24px;
}

.blog_side_bar h2 {
  text-align: left;
  color: var(--bk);
  margin-bottom: 24px;
  border-bottom: 1px solid var(--bk);
}

.blog_side_bar {
  width: 280px;
}

.sns_container {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  width: 300px;
  margin-left: auto;
  margin: 40px 0 0 auto;
}

.sns_container p {
  padding: 0 10px 10px 0;
  color: var(--bk);
  font-weight: 800;
}

.sns_container a {
  width: 32px;
  text-align: center;
  padding: 0 10px;
}

.sns_container a img {
  width: 100%;
}

.sns_container a:hover{
  opacity: 0.8;
  transition: all 0.5s;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  -ms-transition: all 0.5s;
  -o-transition: all 0.5s;
}

aside {
  width: 280px;
  margin-left: 90px;
}

.blog_side_bar {
  width: 280px;
}

.blog_side_category h2 {
  text-align: left;
  color: var(--bk);
  border-bottom: 1px solid var(--bk);
}

.blog_side_category ul {
  text-align: left;
  margin: 10px 0 20px 0;
}

.blog_side_category ul li a {
  text-decoration: none;
  color: var(--white);
  background-color: var(--accentcolor);
  padding: 2px 4px;
}


@media (max-width:768px) {
  .blog_content_flex {
    max-width: 94.5%;
    margin: 0px auto 40px auto;
    padding: 100px 8px 64px 8px;
  }

  .post_inner {
    padding: 0;
  }

  .blog_post_ttl,.blog_main_content_ttl  {
    font-size: 2rem;
    line-height: 1.5;
  }

  .blog_main_content_ttl {
    padding-bottom: 16px;
    margin-top: 32px ;
  }

  .blog_main_content_small_ttl {
    color: var(--bk);
    margin-top: 20px;
    position: relative;
    padding-left: 18px;
  }

  .pagenation_inner {
    max-width: 94.5%;
    margin: 0 auto 64px auto;
  }  
  
  .blog_post_p {
    margin-top: 8px;
    font-size: 1.4rem;

  }

  .blog_pagination {
    gap: 0 2px;
  }
  
  .blog_pagination .prev a,
.blog_pagination .next a {
  font-size: 1.2rem;
}

  aside {
    display: none;
  }

  .blog_content_flex {
    max-width: 100%;
    margin: 0px auto 32px auto;
  }
  
  .blog_main_content {
    max-width: 94.5%;
    margin: 0 auto;
    padding: 0;
  }
  
  .blog_inner h2 {
    font-size: 2rem;
    margin: 0 auto 32px auto;
  }
  
  .blog_inner ul {
    width: 100%;
    display: block;
  }
  
  .blog_inner ul li {
    width: 100%;
    list-style: none;
  }
  
  .blog_article {
    width: 100%;
  }
  
  .ogp {
    max-width: 100%;
  }

  .date {
    font-size: 1.2rem;
    font-weight: 700;
    margin-right: 20px;
  }
  
  .category {
    background-color: var(--accentcolor);
    padding: 0px 6px;
    border-radius: 6px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
  }
  
  .blog_info h3 {
    font-size: 1.6rem;
    margin-top: 4px;
  }
  
  .blog_info p {
    font-size: 1.4rem;
  }

  .blog_inner ul li .blog_article:nth-child(-n+3){
    margin-bottom: 24px;
  }

  .blog_data_flex {
    margin-top: 12px;
  }
}

@media (max-width:520px) {
  .blog_main_content ul {
    display: block;
  }

  .blog_main_content ul li {
    width: 100%;
  }
}


.blog_content_box {
  color: var(--bk);
  text-align: left;
  letter-spacing: 0.05rem;
}

.blog_content_box p {
  font-weight: 400;
  font-size: 1.6rem;
  padding: 10px 0;
}

.blog_content_box h2 {
  position: relative;
  font-weight: 600;
  font-size: 2.4rem;
  padding-bottom: 10px;
  margin: 40px auto 10px auto;
}

.blog_content_box h2::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--bk);
}

.blog_content_box h3 {
  font-weight: 500;
  font-size: 2rem;
  padding: 0 0 0 10px;
  border-left: 5px solid var(--bk);
  margin: 10px auto;
}

.blog_content_box h4 {
  font-weight: 500;
  font-size: 1.8rem;
  padding: 0 0 0 10px;
  border-left: 2px solid var(--bk);
  margin: 10px auto;
}

.wp-block-image {
  margin-bottom: 40px;
}

@media (max-width:768px) {

.blog_content_box p {
  font-size: 1.4rem;
  padding: 10px 0;
}

.blog_content_box h2 {
  font-size: 2.2rem;
}

.blog_content_box h3 {
  font-size: 1.8rem;
}

.blog_content_box h4 {
  font-size: 1.6rem;
}

}